..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

================
fluid.transpiler
================

.. _api_fluid_transpiler_DistributeTranspiler:

DistributeTranspiler
--------------------

..  autoclass:: paddle.fluid.transpiler.DistributeTranspiler
    :members:
    :noindex:

.. _api_fluid_transpiler_InferenceTranspiler:

InferenceTranspiler
-------------------

..  autoclass:: paddle.fluid.transpiler.InferenceTranspiler
    :members:
    :noindex:

.. _api_fluid_transpiler_memory_optimize:

memory_optimize
---------------

..  autofunction:: paddle.fluid.transpiler.memory_optimize
    :noindex:

.. _api_fluid_transpiler_release_memory:

release_memory
--------------

..  autofunction:: paddle.fluid.transpiler.release_memory
    :noindex:

.. _api_fluid_transpiler_HashName:

HashName
--------

..  autoclass:: paddle.fluid.transpiler.HashName
    :members:
    :noindex:

.. _api_fluid_transpiler_RoundRobin:

RoundRobin
----------

..  autoclass:: paddle.fluid.transpiler.RoundRobin
    :members:
    :noindex:

